<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='You have selected a blank choice';
var alert_min_year='You cannot view a year prior to 1970';
var alert_max_year='You cannot view a year after 2036';
var confirm_event_delete='Do you want to delete this event?';
var confirm_task_delete='Do you want to delete this task?';
var alert_invalid_date='This is an invalid date. Please correct it.';
var jan='January';
var feb='February';
var mar='March';
var apr='April';
var may='May';
var jun='June';
var jul='July';
var aug='August';
var sep='September';
var oct='October ';
var nov='November';
var dec='December';
var invalid_recurrence_pattern_msg='Invalid repeat pattern: select a day to repeat on';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = 'Please provide a valid date.'; 
    dateCheckErrorMsg['provide a good day'] = 'Please provide a valid date for '; 
    dateCheckErrorMsg['provide good month'] = 'Please provide a month between 1 and 12.'; 
    dateCheckErrorMsg['provide good year'] = 'Please provide a valid year.\n\nIf you use two digits to represent a year, values less than 37\nwill be interpreted as if they are in the 21st century.\n\nFor example: 03 is equivalent to 2003';
    dateCheckErrorMsg['provide good min year'] = 'Please provide a year that is greater than 1970.';
    dateCheckErrorMsg['provide good max year'] = 'Please provide a year that is less than 2037.';
    dateCheckErrorMsg['provide good hour'] = 'Please provide an hour value that is valid. (1-12) in 12hr mode or (0-23) for 24hr mode';
    dateCheckErrorMsg['provide good duration hour'] = 'Please provide an hour value that is valid (0-23).';
    dateCheckErrorMsg['provide good minute'] = 'Please provide a minute value between 0 and 59';
    dateCheckErrorMsg['good until day'] = 'Choose an until date after the start date';
    dateCheckErrorMsg['adjusting to a good day'] = 'Date entered does not exist.\nSetting calendar to nearest valid date in';
    delete_text='OK to delete?';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
