<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='<xsl:value-of select="$alert_selected_blank_choice"/>';
var alert_min_year='<xsl:value-of select="$alert_min_year"/>';
var alert_max_year='<xsl:value-of select="$alert_max_year"/>';
var confirm_event_delete='<xsl:value-of select="$confirm_event_delete_text"/>';
var confirm_task_delete='<xsl:value-of select="$confirm_task_delete_text"/>';
var alert_invalid_date='<xsl:value-of select="$alert_invalid_date"/>';
var jan='<xsl:value-of select="$january_title"/>';
var feb='<xsl:value-of select="$february_title"/>';
var mar='<xsl:value-of select="$march_title"/>';
var apr='<xsl:value-of select="$april_title"/>';
var may='<xsl:value-of select="$may_title"/>';
var jun='<xsl:value-of select="$june_title"/>';
var jul='<xsl:value-of select="$july_title"/>';
var aug='<xsl:value-of select="$august_title"/>';
var sep='<xsl:value-of select="$september_title"/>';
var oct='<xsl:value-of select="$october_title"/>';
var nov='<xsl:value-of select="$november_title"/>';
var dec='<xsl:value-of select="$december_title"/>';
var invalid_recurrence_pattern_msg='<xsl:value-of select="$invalid_repeat_pattern_title"/>';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = '<xsl:value-of select="$provide_good_date_msg"/>.'; 
    dateCheckErrorMsg['provide a good day'] = '<xsl:value-of select="$provide_good_date_for_msg"/> '; 
    dateCheckErrorMsg['provide good month'] = '<xsl:value-of select="$provide_good_month_msg"/>.'; 
    dateCheckErrorMsg['provide good year'] = '<xsl:value-of select="$provide_good_year_msg"/>';
    dateCheckErrorMsg['provide good min year'] = '<xsl:value-of select="$provide_good_min_year_msg"/>.';
    dateCheckErrorMsg['provide good max year'] = '<xsl:value-of select="$provide_good_max_year_msg"/>.';
    dateCheckErrorMsg['provide good hour'] = '<xsl:value-of select="$provide_good_hour_msg"/>';
    dateCheckErrorMsg['provide good duration hour'] = '<xsl:value-of select="$provide_good_duration_hour_msg"/>.';
    dateCheckErrorMsg['provide good minute'] = '<xsl:value-of select="$provide_good_minute_msg"/>';
    dateCheckErrorMsg['good until day'] = '<xsl:value-of select="$provide_good_until_date_msg"/>';
    dateCheckErrorMsg['adjusting to a good day'] = '<xsl:value-of select="$provide_adjusting_date_msg"/>';
    delete_text='<xsl:value-of select="$delete_text"/>';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
