#!/bin/sh

# 
# Script to launch java configurator
# Find out where the java package is installed 
# and execute the java configurator.
#
# Command line arguments are tranfered to java command line
# 
# Last revision: 14/08/2003 11:18, ghislain@sun.com
#

#Save the current path
CUR_DIR=`pwd`

#Java command
JAVA_CMD="java"
FULL_JAVA_CMD=$JAVA_CMD

#Name of the Calendar package
CS_PACKAGE_NAME="sun-calendar-core"

#Java bin directory
JAVA_BIN="bin"

#Get the JAVA BASEDIR from the CSJAVADIR variable in the calendar pkg
#Need to check with Orion installer on this.
#JAVA_BASEDIR=`rpm -q --qf "%{CSJAVADIR}" $CS_PACKAGE_NAME` 

#If the JAVA BASEDIR has not been provided by the CSJAVADIR variable
#Then try to get it from the j2sdk package
#First try the new jdk package
JAVA_BASEDIR=`rpm -q --qf "%{DIRNAMES}" jdk`
if [ "$JAVA_BASEDIR" = "package jdk is not installed" ]; then
        JAVA_BASEDIR=`rpm -q --qf "%{DIRNAMES}" j2sdk`
fi
if [ "$JAVA_BASEDIR" = "package j2sdk is not installed" ]; then
        JAVA_BASEDIR=`rpm -q --qf "%{DIRNAMES}" j2re`
fi
if [ "$JAVA_BASEDIR" = "package j2re is not installed" ]; then
        FULL_JAVA_CMD=$JAVA_CMD
else
	FULL_JAVA_CMD=$JAVA_BASEDIR/$JAVA_BIN/$JAVA_CMD	
fi

#Get the BASEDIR for Calendar server
CS_BASEDIR=`rpm -q --qf "%{INSTALLPREFIX}" $CS_PACKAGE_NAME` 

#Path to the configure class
CONFIGURE_PATH="/calendar/jconfigure"

#Class to run
CONFIGURE_CMD="configure"

#Java arguments: classpath
JAVA_ARGS="-cp ."

#Execute the command
cd $CS_BASEDIR$CONFIGURE_PATH
echo $FULL_JAVA_CMD $JAVA_ARGS $CONFIGURE_CMD $@
$FULL_JAVA_CMD $JAVA_ARGS $CONFIGURE_CMD $@
cd $CUR_DIR
